Docs
Audit API Reference
This section covers all endpoints related to audit.
Add Miner Audit Data
POST/audit/miner_data
API
Code Examples
curl -X POST "https://api.chutes.ai/audit/miner_data"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Block | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
List Audit Entries
List all audit reports from the past week.
GET/audit/
API
Code Examples
curl -X GET "https://api.chutes.ai/audit/"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
Download Audit Data
Download report data.
GET/audit/download
API
Code Examples
curl -X GET "https://api.chutes.ai/audit/download"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| path | string | Yes |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |